Get document details with status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/document/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/document/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/document/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalFileName": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"contentHash": "<string>",
"status": "Uploaded",
"processingStartedAt": "2023-11-07T05:31:56Z",
"processingCompletedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
}Get document details with status
GET
/
api
/
v1
/
rag
/
document
/
{id}
Get document details with status
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://blackbox.dasha.ai/api/v1/rag/document/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://blackbox.dasha.ai/api/v1/rag/document/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://blackbox.dasha.ai/api/v1/rag/document/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"documentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"knowledgeBaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalFileName": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"contentHash": "<string>",
"status": "Uploaded",
"processingStartedAt": "2023-11-07T05:31:56Z",
"processingCompletedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdatedAt": "2023-11-07T05:31:56Z"
}Path Parameters
Document ID
Response
OK
Available options:
Uploaded, Queued, Processing, Indexed, Failed, Cancelled, PendingDelete, Deleting Show child attributes
Show child attributes
Was this page helpful?